CVE-2014-4345

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Off-by-one error in the krb5_encode_krbsecretkey function in plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c in the LDAP KDB module in kadmind in MIT Kerberos 5 (aka krb5) 1.6.x through 1.11.x before 1.11.6 and 1.12.x before 1.12.2 allows remote authenticated users to cause a denial of service (buffer overflow) or possibly execute arbitrary code via a series of "cpw -keepold" commands.

References

http://advisories.mageia.org/MGASA-2014-0345.html

http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10705

http://krbdev.mit.edu/rt/Ticket/Display.html?id=7980

http://linux.oracle.com/errata/ELSA-2014-1255.html

http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136640.html

http://lists.fedoraproject.org/pipermail/package-announce/2014-August/137056.html

http://lists.opensuse.org/opensuse-security-announce/2014-08/msg00009.html

http://lists.opensuse.org/opensuse-updates/2014-08/msg00030.html

http://rhn.redhat.com/errata/RHSA-2014-1255.html

http://rhn.redhat.com/errata/RHSA-2015-0439.html

http://secunia.com/advisories/59102

http://secunia.com/advisories/59415

http://secunia.com/advisories/59993

http://secunia.com/advisories/60535

http://secunia.com/advisories/60776

http://secunia.com/advisories/61314

http://secunia.com/advisories/61353

http://security.gentoo.org/glsa/glsa-201412-53.xml

http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2014-001.txt

http://www.debian.org/security/2014/dsa-3000

http://www.mandriva.com/security/advisories?name=MDVSA-2014:165

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html

http://www.osvdb.org/109908

http://www.securityfocus.com/bid/69168

http://www.securitytracker.com/id/1030705

https://blogs.oracle.com/sunsecurity/entry/cve_2014_4345_numeric_errors

https://bugzilla.redhat.com/show_bug.cgi?id=1128157

https://exchange.xforce.ibmcloud.com/vulnerabilities/95212

https://github.com/krb5/krb5/commit/dc7ed55c689d57de7f7408b34631bf06fec9dab1

https://github.com/krb5/krb5/pull/181

Details

Source: MITRE

Published: 2014-08-14

Updated: 2020-01-21

Type: CWE-189

Risk Information

CVSS v2

Base Score: 8.5

Vector: AV:N/AC:M/Au:S/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 6.8

Severity: HIGH

Tenable Plugins

View all (23 total)

IDNameProductFamilySeverity
82255Scientific Linux Security Update : krb5 on SL7.x x86_64 (20150305)NessusScientific Linux Local Security Checks
high
82185Debian DLA-37-1 : krb5 security updateNessusDebian Local Security Checks
high
81896CentOS 7 : krb5 (CESA-2015:0439)NessusCentOS Local Security Checks
high
81805Oracle Linux 7 : krb5 (ELSA-2015-0439)NessusOracle Linux Local Security Checks
high
81637RHEL 7 : krb5 (RHSA-2015:0439)NessusRed Hat Local Security Checks
high
80655Oracle Solaris Third-Party Patch Update : kerberos (cve_2014_4345_numeric_errors)NessusSolaris Local Security Checks
high
80328GLSA-201412-53 : MIT Kerberos 5: User-assisted execution of arbitrary codeNessusGentoo Local Security Checks
high
79549OracleVM 3.3 : krb5 (OVMSA-2014-0034)NessusOracleVM Local Security Checks
high
79292Amazon Linux AMI : krb5 (ALAS-2014-443)NessusAmazon Linux Local Security Checks
high
79178CentOS 6 : krb5 (CESA-2014:1389)NessusCentOS Local Security Checks
high
78846Scientific Linux Security Update : krb5 on SL6.x i386/x86_64 (20141014)NessusScientific Linux Local Security Checks
high
78523Oracle Linux 6 : krb5 (ELSA-2014-1389)NessusOracle Linux Local Security Checks
high
78406RHEL 6 : krb5 (RHSA-2014:1389)NessusRed Hat Local Security Checks
high
78396CentOS 5 : krb5 (CESA-2014:1255)NessusCentOS Local Security Checks
high
77741RHEL 5 : krb5 (RHSA-2014:1255)NessusRed Hat Local Security Checks
high
77740Oracle Linux 5 : krb5 (ELSA-2014-1255)NessusOracle Linux Local Security Checks
high
77644Mandriva Linux Security Advisory : krb5 (MDVSA-2014:165)NessusMandriva Local Security Checks
high
77392Fedora 19 : krb5-1.11.3-25.fc19 (2014-9305)NessusFedora Local Security Checks
high
77297openSUSE Security Update : krb5 / krb5-doc / krb5-mini (openSUSE-SU-2014:1043-1)NessusSuSE Local Security Checks
high
77230SuSE 11.3 Security Update : krb5 (SAT Patch Number 9606)NessusSuSE Local Security Checks
high
77211Fedora 20 : krb5-1.11.5-11.fc20 (2014-9315)NessusFedora Local Security Checks
high
77147Ubuntu 10.04 LTS / 12.04 LTS / 14.04 LTS : krb5 vulnerabilities (USN-2310-1)NessusUbuntu Local Security Checks
high
77101Debian DSA-3000-1 : krb5 - security updateNessusDebian Local Security Checks
high